unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
  System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, hyieutils, iexBitmaps, hyiedefs,
  iesettings, iexLayers, iexRulers, ieview, imageenview, NG.DragDrop;

type
  TForm1 = class(TForm)
    NGDropSource1: TNGDropSource;
    NGDropTarget1: TNGDropTarget;
    ImageEnView1: TImageEnView;
    ImageEnView2: TImageEnView;
    procedure ImageEnView1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure NGDropTarget1DragOver(Sender: TObject; C: TNGTargetContext);
    procedure FormCreate(Sender: TObject);
    procedure NGDropTarget1DragAction(Sender: TObject; C: TNGTargetContext);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
 ImageEnView1.IO.LoadFromFile('C:\Images\BMP\Caveman.bmp');
end;

procedure TForm1.ImageEnView1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
   NGDropSource.AddDib(ImageEnView1.IEBitmap.VclBitmap)
              .AddBitmap(ImageEnView1.IEBitmap.VclBitmap)
              .Execute;
  NGDropSource1.Execute;
end;

procedure TForm1.NGDropTarget1DragAction(Sender: TObject; C: TNGTargetContext);
var
  b: TBitmap;
begin
  b := TBitmap.Create;
  try
  if C.AcceptBitmap(b) then
  begin
     ImageEnView2.IEBitmap.VclBitmap.Assign(b);
     ImageEnView2.IEBitmap.VclBitmap.PixelFormat := pf24bit;
     ImageEnView2.Update;
  end;
  finally
    b.Free;
  end;
end;

procedure TForm1.NGDropTarget1DragOver(Sender: TObject; C: TNGTargetContext);
begin
  c.Accept();
end;

end.
